%define _prefix /usr/local

Summary:    Raptor FAST client for cPanel
Name:       raptor_fast_cpanel
Version:    2.15
Release:    1%{?dist}
BuildArch:  noarch
AutoReq:    0
Vendor:     Peregrine Computer Consultants Corporation
License:    proprietary
URL:        https://raptor.pccc.com/
Source0:    https://www.pccc.com/downloads/Raptor_FAST/%name-%version.tgz

%description
Raptor FAST is the client program that interface your server
with Pccc Raptor server software.

%prep
%setup -q -n raptor_fast_cpanel-%{version}

%install
rm -rf $RPM_BUILD_ROOT
%make_install PREFIX=%buildroot/%{_prefix} \
        INSTALLMAN1DIR=%buildroot/%{_mandir}/man1 \
	SYSCONFDIR=%buildroot/%{_sysconfdir}

%files
# %license COPYING
%doc README.MD
%_sbindir/raptor_fast_cpanel
%_sbindir/raptor_fast_cpanel_cron
%_sbindir/raptor_fast_cpanel_disable
%_sbindir/raptor_fast_cpanel_enable
%_mandir/man1/*
%_sysconfdir/Raptor-FAST/config.dist
%_sysconfdir/Raptor-FAST/config.token.dist
%_sysconfdir/Raptor-FAST/config.token.old.sha
%_sysconfdir/Raptor-FAST/config.token.sha
%_sysconfdir/cron.d/05-raptor_fast_cpanel_cron

%post
%{_prefix}/sbin/raptor_fast_cpanel_enable

%preun
%{_prefix}/sbin/raptor_fast_cpanel_disable

%changelog
* Thu Oct 22 2020 Giovanni Bechis <gbechis@pccc.com> - 2.15-1
- Add rpm packaging support
* Tue Oct 20 2020 Giovanni Bechis <gbechis@pccc.com> - 2.14-1
- Release 2.14
